Name:           maven-antrun-extended-plugin
Version:        1.42
Release:        3%{?dist}
Epoch:          0
Summary:        Maven AntRun Extended Plugin
Group:          Development/Java
License:        ASL 2.0
Url:            http://java.net/projects/maven-antrun-extended-plugin
# svn export https://svn.java.net/svn/maven-antrun-extended-plugin~svn/tags/maven-antrun-extended-plugin-1.42
# tar czf maven-antrun-extended-plugin-1.42-src-svn.tar.gz maven-antrun-extended-plugin-1.42
Source0:        maven-antrun-extended-plugin-1.42-src-svn.tar.gz
# remove maven-embedder 2.0.1 x test
Patch0:         maven-antrun-extended-plugin-1.42-pom_xml.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       ant
Requires:       commons-collections
Requires:       commons-io
Requires:       jpackage-utils
Requires:       maven2
# ant 1.6.5 runtime
BuildRequires:  ant
BuildRequires:  commons-collections
BuildRequires:  commons-io
BuildRequires:  bsf
BuildRequires:  bsh2
BuildRequires:  maven2
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-invoker
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven-surefire-provider-junit4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This extended antrun maven plugin enables users not only to run ant scripts
embedded in the POM, but also to reference maven dependencies using Ant task
classes. This enables the user to delegate more complex tasks to Ant such as
constructing file-based installation distros.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n maven-antrun-extended-plugin-%{version}

%patch0 -p0 -b .sav0

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=bsf \
  -DartifactId=bsf \
  -Dversion=2.3.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsf) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=org.beanshell \
  -DartifactId=bsh \
  -Dversion=2.0b4 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsh2/bsh) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  -e \
  -Dmaven2.test.skip=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
   install javadoc:aggregate

%install
rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}
install -p -m 644 target/maven-antrun-extended-plugin-%{version}.jar %{buildroot}%{_javadir}/maven-antrun-extended-plugin-%{version}.jar
ln -s maven-antrun-extended-plugin-%{version}.jar %{buildroot}%{_javadir}/maven-antrun-extended-plugin.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-maven-antrun-extended-plugin.pom
%add_to_maven_depmap org.jvnet.maven-antrun-extended-plugin maven-antrun-extended-plugin %{version} JPP maven-antrun-extended-plugin

install -d -m 0755 %{buildroot}%{_javadocdir}/maven-antrun-extended-plugin-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/maven-antrun-extended-plugin-%{version}
ln -s maven-antrun-extended-plugin-%{version} %{buildroot}%{_javadocdir}/maven-antrun-extended-plugin

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/maven-antrun-extended-plugin-%{version}
%{_javadocdir}/maven-antrun-extended-plugin

%changelog
* Wed Nov 16 2011 David Walluck <dwalluck@redhat.com> 0:1.42-3
- update javadoc description
- add Requires from pom

* Wed Nov 16 2011 David Walluck <dwalluck@redhat.com> 0:1.42-2
- fix for rpm

* Fri Aug 12 2011 dmorgan <dmorgan> 1.42-1.mga2
+ Revision: 132734
- Clean spec file

  + gil <gil>
    - imported package maven-antrun-extended-plugin


* Mon Jul 18 2011 gil <gil> 1.42-0.%%mkrel
- initial rpm

